Indices
List
List all indices of search engine.
GET
/
api
/
v2
/
search_engines
/
{hashid}
/
indices
List
curl --request GET \
--url https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices \
--header 'Authorization: <api-key>'import requests
url = "https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "product",
"preset": "product",
"options": {},
"datasources": [
{
"type": "file",
"options": {
"url": "https://yourserver/your_data_feed.xml"
}
}
]
}
]{
"error": {
"code": "not_authenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "access_denied",
"message": "Access denied"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"error": {
"code": "too_many_requests",
"message": "Too many requests"
}
}{
"error": {
"code": "internal_error",
"message": "Internal server error"
}
}Authorizations
api_tokenjwt_token
Doofinder API key. Pass it as: Authorization: Token <api_key>
Path Parameters
Unique id of a search engine.
Pattern:
^[a-f0-9]{32}$Response
Indices retrieved.
Name of the Index. It works as the index identifier.
Pattern:
^[a-z][a-z0-9_]*$Example:
"product"
Preset of the index. The preset defines a set of configuration parameters for the index like basic fields to be included, and field transformations. For instance, the product preset creates the best_price field.
Available options:
generic, product, page, category Example:
"product"
Accepted for backwards compatibility but ignored.
List of datasources of an index.
Show child attributes
Show child attributes
⌘I
List
